src/Alecsia/AnnotationBundle/Entity/Exercice.php
<?php

namespace Alecsia\AnnotationBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Alecsia\AnnotationBundle\Entity\Exercice
 *
 * @ORM\HasLifecycleCallbacks
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="Alecsia\AnnotationBundle\Entity\ExerciceRepository")
 */
class Exercice extends AlecsiaEntity {

   /**
    * @ORM\OneToMany(targetEntity="Alecsia\AnnotationBundle\Entity\Modele", mappedBy="exercice")
    */
   protected $modeles;

   /**
    * @ORM\OneToMany(targetEntity="Alecsia\AnnotationBundle\Entity\Annotation", mappedBy="exercice")
    */
   protected $annotations;

   /**
    * @ORM\ManyToOne(targetEntity="Alecsia\AnnotationBundle\Entity\Sujet", inversedBy="exercices")
    */
   protected $sujet;

   /**
    * @var integer $numero
    *
    * @ORM\Column(name="numero", type="integer")
    */
   protected $numero;

   /**
    * @var string $nom
    *
    * @ORM\Column(name="nom", type="string", length=255)
    */
   protected $nom;

   /**
    * @var float $valeur
    *
    * @ORM\Column(name="valeur", type="float")
    */
   protected $valeur;

   /**
    * @var float $bonus_malus
    *
    * @ORM\Column(name="bonus_malus", type="float")
    */
   protected $bonus_malus;

   /**
    *
    * @var type float $initialMark
    * 
    * @ORM\Column(name="initialMark", type="float")
    */
   protected $initialmark;

   /**
    * indicates the number of guts for lettre format 
    * if 0 value is shown as number else it will be shown as lettre 
    * @var type 
    * @ORM\Column(name="guts", type="float")
    */
   protected $guts;

   /* ================
     = Constructeur =
     ================ */

   function __construct($sujet, $numero, $nom, $valeur, $initialMark, $bonus_malus = 0, $guts = 0) {
      $this->sujet = $sujet;
      $this->numero = $numero;
      $this->nom = $nom;
      $this->valeur = $valeur;
      if (! isset($initialMark)) {
          $initialMark = $valeur;
      }
      $this->initialmark = $initialMark;
      $this->bonus_malus = $bonus_malus;
      $this->guts = $guts;
   }

   /* ===================
     = PrePersist & Co =
     =================== */

   /**
    * Remplace toutes les références à cet exercice par des références à l'exercice
    * "Bonus/Malus"
    * @ORM\PreRemove
    */
   public function reassocierAnnotationsEtModeles() {
      $annots = $this->annotations;
      $modeles = $this->modeles;

      foreach ($annots as $annot) {
         $annot->setExercice(null);
      }
      foreach ($modeles as $modele) {
         $modele->setExercice(null);
      }
   }

   /* =====================
     = Getters & Setters =
     ===================== */

   public function setNom($nom) {
      $this->nom = $nom;
   }

   public function getNom() {
      return $this->nom;
   }

   public function setValeur($valeur) {
      $this->valeur = $valeur;
   }

   public function getValeur() {
      return $this->valeur;
   }

   public function getNumero() {
      return $this->numero;
   }

   public function setNumero($numero) {
      $this->numero = $numero;
   }

   public function getSujet() {
      return $this->sujet;
   }

   public function setSujet(Sujet $sujet) {
      $this->sujet = $sujet;
   }

   /**
    * 
    * @return type float : initial value to calculate note
    */
   public function getBonusMalus() {
      return $this->bonus_malus;
   }

   public function setBonusMalus($bonus_malus) {
      $this->bonus_malus = $bonus_malus;
   }

   public function getInitialMark() {
      return$this->initialmark;
   }

   public function getExerciceGuts() {
      return$this->guts;
   }

   public function setExerciceGuts($guts_number) {
      $this->guts = $guts_number;
   }

   public function setInitialMark($initialMark) {
      $this->initialmark = $initialMark;
   }

   // To String
   public function __toString() {
      return sprintf("Ex %d : %s", $this->getNumero(), $this->getNom(), $this->getValeur());
   }

   /* =========
     = Clone =
     ========= */

   public function cloner($sujet) {
      $e = new Exercice($sujet, $this->getNumero(), $this->getNom(),
      $this->getValeur(), $this->getInitialMark(), $this->getBonusMalus(),
      $this->getExerciceGuts());
      return $e;
   }

   public function isLettre() {
      return $this->getExerciceGuts() != 0;
   }

}

src/Alecsia/AnnotationBundle/Entity/Sujet.php
<?php

namespace Alecsia\AnnotationBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Alecsia\AnnotationBundle\Entity\Exceptions\RenduNonTermineException;
use Alecsia\AnnotationBundle\Entity\Exceptions\LectureSeuleException;

/**
 * Alecsia\AnnotationBundle\Entity\Sujet
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="Alecsia\AnnotationBundle\Entity\SujetRepository")
 */
class Sujet {

   const STATUS_WAIT = 'wait';
   const STATUS_MARK = 'mark';
   const STATUS_CONSULT = 'cnf';
   const STATUS_FROZEN = 'frozen';

   /**
    * @var integer $id
    *
    * @ORM\Column(name="id", type="integer")
    * @ORM\Id
    * @ORM\GeneratedValue(strategy="AUTO")
    */
   protected $id;

   /**
    * @var string $nom
    *
    * @ORM\Column(name="nom", type="string", length=255)
    */
   protected $nom;

   /**
    * @var boolean $is_TD
    *
    * @ORM\Column(name="is_TD", type="boolean")
    */
   protected $is_TD;

   /**
    * @var integer $note_sur
    *
    * @ORM\Column(name="note_sur", type="integer")
    */
   protected $note_sur;

   /**
    * @var integer $startAt
    * What should be the initial mark for the works
    * This is generally useful either to start from 0 or from
    * the maximal mark (ie. note_sur).
    * @ORM\Column(name="noteInitiale", type="integer")
    */
   protected $noteInitiale;

   /**
    * @var float $moyenne
    *
    * @ORM\Column(name="moyenne", type="float", nullable=true)
    */
   protected $moyenne;

   /**
    * @var enum $status
    *
    * status can have four different values
    * wait: waiting for all the works to be included, and waiting to start marking
    *       process;
    * mark: starting to mark works;
    * cnf:  consultable but not frozen yet -> works have been marked but can still
    *       be modified, works are consultable by students
    * frozen: marks are frozen: works can be consulted by students but can't be
    *         modified anymore
    *
    * @ORM\Column(name="status", type="string", columnDefinition="ENUM('wait','mark','cnf','frozen')")
    */
   protected $status = self::STATUS_WAIT;

   /**
    * @ORM\OneToOne(targetEntity="Alecsia\AnnotationBundle\Entity\ListeModeles", cascade={"persist", "remove"})
    */
   protected $liste_modeles;

   /**
    * @var UE
    * @ORM\ManyToOne(targetEntity="Alecsia\AnnotationBundle\Entity\UE", cascade={"persist"}, inversedBy="sujets")
    */
   protected $UE;

   /**
    * @ORM\OneToMany(targetEntity="Alecsia\AnnotationBundle\Entity\Rendu", mappedBy="sujet", cascade={"persist", "remove"})
    */
   protected $rendus;

   /**
    * @ORM\OneToMany(targetEntity="Alecsia\AnnotationBundle\Entity\Exercice", mappedBy="sujet", cascade={"persist", "remove"})
    */
   protected $exercices;

   /**
    * indicates the number of guts for lettre format 
    * if 0 value is shown as number else it will be shown as lettre 
    * @var type 
    * @ORM\Column(name="guts", type="integer")
    */
   protected $guts;

   function __construct($nom, $isTD = false, $status = self::STATUS_WAIT, $note_sur = 20, $noteInitiale = 0, $guts = 0) {
      $this->nom = $nom;
      $this->is_TD = $isTD;
      $this->status = $status;
      $this->note_sur = $note_sur;
      $this->noteInitiale = $noteInitiale;
      $this->guts = $guts;
   }

   /* ============================== */
   /* Students                       */
   /* ============================== */

   public function hasStudentWorkedOnIt(Student $student) {
      $workIsFromStudent = function($key, $work) use ($student) {
         return ($work instanceof Rendu) && ($work->hasStudent($student));
      };

      return $this->rendus->exists($workIsFromStudent);
   }

   // Getters & Setters
   public function getId() {
      return $this->id;
   }

   public function setNom($nom) {
      $this->assertGel();
      $this->nom = $nom;
   }

   public function getNom() {
      return $this->nom;
   }

   public function setIsTD($isTD) {
      $this->assertGel();
      $this->is_TD = $isTD;
   }

   public function getIsTD() {
      return $this->is_TD;
   }

   protected function setStatus($status) {
      $this->assertGel();
      $this->status = $status;
   }

   protected function getStatus() {
      return $this->status;
   }

   public function getNotesur() {
      return $this->note_sur;
   }

   public function setNotesur($note_sur) {
      $this->assertGel();
      $this->note_sur = $note_sur;
   }

   public function getListeModeles() {
      return $this->liste_modeles;
   }

   public function setListeModeles($liste_modeles) {
      $this->assertGel();
      $this->liste_modeles = $liste_modeles;
   }

   public function getRendus() {
      return $this->rendus;
   }

   public function getRendusRestants() {
      return $this->rendus->filter(function($rendu) {
                 return !($rendu->getTermine());
              });
   }

   public function getExercices() {
      return $this->exercices;
   }

   public function addExercice($exercice) {
      $this->assertGel();
      $this->exercices[] = $exercice;
      $exercice->setSujet($this);
   }

   /** @return UE */
   public function getUE() {
      return $this->UE;
   }

   public function setUE($UE) {
      $this->UE = $UE;
   }

   public function getMoyenne() {
      return $this->moyenne;
   }

   public function setMoyenne($moyenne) {
      $this->moyenne = $moyenne;
   }

   public function getNoteInitiale() {
      return $this->noteInitiale;
   }

   public function setNoteInitiale($noteInitiale) {
      $this->assertGel();
      $this->noteInitiale = $noteInitiale;
   }

   /*
    * Return an associative array whose key is a student identifier
    * and the value is the mark obtained.
    * @pre The marks must have been frozen.
    * @param group_id an array of group_ids, from which the marks must be taken.
    *                 the array can be null
    * @param all_marks: get all marks even if the subject is not frozen
    */

   public function getNotes($group_id = null, $all_marks = false) {
      $notes = array();
      if ($all_marks || $this->getStatus() == self::STATUS_FROZEN) {
         $rendus = $this->getRendus();

         foreach ($rendus as $rendu) {
            $etudiants = $rendu->getStudents();
            foreach ($etudiants as $etu) {
               if (!$group_id || in_array($rendu->getGroup()->getId(), $group_id)) {
                  $notes[] = array('student' => $etu, 'note' => $rendu->getNote(),
                      'group' => $rendu->getGroup());
               }
            }
         }
      }
      return $notes;
   }

   public function isFrozen() {
      return $this->getStatus() == self::STATUS_FROZEN;
   }

   public function isWaiting() {
      return $this->getStatus() == self::STATUS_WAIT;
   }

   public function isConsultable() {
      return (bool) ($this->getStatus() == self::STATUS_CONSULT || $this->getStatus() == self::STATUS_FROZEN);
   }

   public function isMarking() {
      return $this->getStatus() == self::STATUS_MARK;
   }

   /**
    * Does the mark can be displayed?
    * For the moment it is equivalent to the work is consultable
    * but the two events could be dissociated.
    */
   public function isMarkDisplayable() {
      return $this->isConsultable();
   }

   public function setFrozen() {
      $this->setStatus(self::STATUS_FROZEN);
   }

   public function setWaiting() {
      $this->setStatus(self::STATUS_WAIT);
   }

   public function setConsultable() {
      $this->setStatus(self::STATUS_CONSULT);
   }

   public function setMarking() {
      $this->setStatus(self::STATUS_MARK);
   }

   public function setMarkDisplayable() {
      $this->setStatus(self::STATUS_REVEAL_MARK);
   }

   // ToString
   public function __toString() {
      return "(" . $this->getId() . ") " . $this->getNom();
   }

   // Renvoie vrai ssi tous les rendus sont marqués comme terminés.
   public function tousTermines() {
      $toustermines = true;
      foreach ($this->rendus as $rendu) {
         $toustermines &= $rendu->getTermine();
      }
      return $toustermines;
   }

   // Assure que le rendu est modifiable
   public function assertGel() {
      if ($this->getStatus() == self::STATUS_FROZEN) {
         throw new LectureSeuleException();
      }
   }

   /* =============
     = Mutateurs =
     ============= */

   // Marque tous les rendus comme terminés
   public function toutTerminer() {
      foreach ($this->rendus as $rendu) {
         $rendu->setTermine(true);
      }
   }

   // Gele tous les rendus
   // Throws RenduNonTermineException
   public function geler() {
      if (!$this->tousTermines()) {
         throw new RenduNonTermineException();
      }

      foreach ($this->rendus as $rendu) {
         $rendu->geler();
      }

      $this->setFrozen();
   }

   /* =========
     = Copie =
     ========= */

   // Renvoie un nouveau sujet identique à celui ciisLettre()
   // à l'exception près des rendus.
   public function cloner($ue) {
      // Nouveau sujet
       $new_sujet = new Sujet($this->getNom(), $this->getIsTD(), self::STATUS_WAIT, $this->getNotesur(), $this->getNoteInitiale(), $this->getSubjectGuts());

      // Copie des exercices
      $old_exs = $this->getExercices();
      foreach ($old_exs as $old_ex) {
         $new_ex = $old_ex->cloner($new_sujet);
         $new_sujet->addExercice($new_ex);
      }

      // Copie de la liste de modèles
      $new_lm = $this->getListeModeles()->cloner($new_sujet->getExercices());
      $new_sujet->setListeModeles($new_lm);
      // Set UE
      $new_sujet->setUE($ue);


      return $new_sujet;
   }

   public function getSubjectGuts() {
      return $this->guts;
   }

   public function setSubjectGuts($guts_number) {
      $this->guts = $guts_number;
   }

   public function isLettre() {
      return $this->getSubjectGuts() !== 0;
   }

}

src/Alecsia/AnnotationBundle/Resources/views/Dashboard/Sujet/listerendus.html.twig
{# Affiche la liste des rendus #}
{# Variables requises : rendus,sujet #}

{% import 'AnnotationBundle:macros:notes.html.twig' as notes %}
{% import 'AnnotationBundle:macros:users.html.twig' as user %}


{% if rendus is empty %}
   <div class="vide">
      <p class="header">Aucun rendu</p>
      <p class="contenu"><button class="bouton go_import_archive_form" >Nouveau rendu</button></p>
   </div>

{% else %}
   <form class="nomargin" method="post" action="{{path('AnnotationBundle_gererRendus')}}">

      {% if not(lectureseule) %}
         <div class="barre_outils block left">
            <button type="button" class="bouton activator_all" data-table="sel_listerendus">
               <span class="ico_cochevide"></span>
            </button>
            <button class="bouton go_import_archive_form" >Nouveau rendu</button>
            <div class="barre_outils droite">
               <button id="marquercomme" class="action_dd bouton beige invisible" data-selectiondependant="sel_listerendus">Marquer comme <span class="triangle-down-gf"></span></button>
               <div class="panel_dd right">
                  <ul class="liste_choix">
                     <li><a href="#" data-action="marquernonfini">En cours de correction</a></li>
                     <li><a href="#" data-action="marquerfini">Terminé</a></li>
                  </ul>
               </div>
               <button class="bouton rouge invisible" 
                       data-selectiondependant="sel_listerendus" 
                       data-action="supprimer" 
                       data-confirm-h="Êtes-vous sûr ?" 
                       data-confirm-p="Cette action supprimera les rendus sélectionnés ainsi que toutes les annotations qu'ils contiennent." 
                       data-confirm-l="Supprimer les rendus">
                  Supprimer</button>
            </div>
         </div>
         {% include 'AnnotationBundle:Dashboard:Etudiants/globalMailForm.html.twig' with {ue: sujet.ue} only %}
      {% endif %}
      <input type="hidden" name="action" value="no"/>
      <input type="hidden" name="sujet" value="{{sujet.id}}"/>
      <input type="hidden" name="group_id" value="{{group_id}}"/>
      <table class="tableSelect borderless espace selectionFire" id="sel_listerendus">
         <!-- <thead>
         {% if not(lectureseule) %}
         <td class="c"></td>
         {% endif %}
         <td {% if lectureseule %} style="padding-left:15px"{%endif%}>Rendu</td>
         <td class="c t15">Note</td>
     </thead> -->
         <tbody>
            {% for rendu in rendus|strarraysort(['getTermine', 'getNom']) %}
               <tr>
                  {% if not(lectureseule) %}
                     <td class="c checkbox"><input type="checkbox" class="activator" name="rendu[{{rendu.id}}]"/></td>
                     {% endif %}
                  <td {% if lectureseule %} style="padding-left:15px"{%endif%}>
                     <a href="{{ path('AnnotationBundle_corriger', {'rendu_id': rendu.id}) }}">
                        {% if rendu.students is not empty %}
                           {% for etu in rendu.students %}
                              <span class="studentName">{{user.displayUserName(etu)}}</span>
                           {% endfor %}
                           <span class="rendu_etudiants">{{rendu.nom}}</span>
                        {% else %}
                           {{rendu.nom}}
                        {% endif %}
                        {% if rendu.termine %}<span class="precision bleu_ciel">Terminé</span>{% endif %}
                     </a>
                  </td>
                  <td class="t15 c">
                     {% if rendu.termine %}
                        {{notes.afficherNote(rendu.note,sujet.notesur,sujet.SubjectGuts)}}
                     {% else %}
                        -
                     {% endif %}
                  </td>
               </tr>


            {% endfor %}
         </tbody>
      </table>
   </form>
{% endif %}

src/Alecsia/AnnotationBundle/Resources/views/Dashboard/Sujet/shortSubject.html.twig
{#
  Necessary parameters

  - subject: the current subject
  - group: the group we are interested in
  - average: the average marks for this group
  - nbRemaining: the number of works that have not been corrected yet

#}

{% import 'AnnotationBundle:macros:notes.html.twig' as notes %}
{% import 'AnnotationBundle:macros:pluriels.html.twig' as mot %}

<tr>
   <td class="c checkbox"><input type="checkbox" class="activator" name="sujet[{{subject.id}}]"/></td>
   <td>
      <a href="{{ path('AnnotationBundle_sujet',{sujet_id : subject.id, group_id : group.id })}}">
         {{subject.nom}}
         {% if not(subject.frozen) %}

            <span class="precision bleu_ciel">({{nbRemaining}} {{ mot.pluriel(nbRemaining,"restant","restants")}})</span>
         {% else %}
            <span class="ico_gel_b S ico_r"></span>
         {% endif %}
         {% if not(subject.consultable) %}
            <span class="no_consult S ico_r"></span>
         {% endif %}
      </a>
   </td>
   <td class="t15 c">
      {% if subject.frozen and nbWorks > 0 %}
         {{notes.afficherNote(average,subject.notesur,subject.SubjectGuts)}}
      {% else %}
         -
      {% endif %}
   </td>
</tr>

src/Alecsia/AnnotationBundle/Resources/views/Dashboard/Sujet/sujet.html.twig
{% extends 'AnnotationBundle:Dashboard:layout.html.twig' %}
{% set liste = sujet.listeModeles %}

{% block titre %}
   {{sujet.nom}} - {{ parent() }}
{% endblock %}

{% block contenu %}



   <div id="lien_retour">
      <a href="{{ path('AlecsiaShowActiveUEs')}}">Retour aux UEs</a>
   </div>

   <div class="container_24">


      <!-- Header -->
      <div class="header">
         <div class="grid_19">
            <h2>
               {{sujet.nom}}       
               {% if not(sujet.consultable) %}
                  <span class="no_consult S ico_r"></span>
               {% endif %}
            </h2>
            <h3>
               {{sujet.ue.nom}}
            </h3>
            {% if group.name is not empty %}
               <h4>
                  {% set nb_access = 0 %}
                  {% if sujet.UE.groups|length > 1 %}
                     {# Compute the number of groups I have access to #}
                     {% for group in sujet.UE.groups %}
                        {% if group.owner == app.user %}
                           {% set nb_access = nb_access + 1 %}
                        {% endif %}
                     {% endfor %}
                  {% endif %}

                  {% set other_groups = nb_access > 1  %}
                  {% if other_groups %}
                     <button class="bouton small_pad action_dd discrete">
                     {% endif %}
                     Groupe {{group.name}} 
                     {% if other_groups %}
                        <span class="triangle-down-gf"></span>
                     </button>
                     <div class="panel_dd discrete right">
                        <ul class="liste_choix">
                           {% for other in sujet.UE.groups | strobjectsort('getName') %}
                              {% if other != group and other.owner == app.user  %}
                                 <li><a href="{{ path('AnnotationBundle_sujet', {sujet_id : sujet.id, group_id : other.id}) }}">Groupe {{other.name}}</a></li>
                                 {% endif %}
                              {% endfor %}
                        </ul>
                     </div>
                  {% endif %}
               </h4>
            {% endif %}
            {% if lectureseule %}
               <p class="state">
                  <span class="ico ico_gel rounded"></span>
                  <strong>Les notes de ce sujet sont gelées</strong>
               </p>
            {% endif %}
            <!-- <h3>Nom de l'UE</h3> -->
         </div>
         <div class="grid_5 outils droite">
            <button class="bouton beige_fonce L action_dd">
               Gérer <span class="triangle-down-gf"></span>
            </button>
            <div class="panel_dd right">
               <ul class="liste_choix">
                  {% if not(sujet.consultable) %}
                     <li><a href="{{ path('AnnotationBundle_setConsultable', {sujet_id : sujet.id, group_id : group.id}) }}">Rendre consultable</a></li>
                     {% endif %}
                  <li><a id="affect_works" 
                         href="{{path('AlecsiaAutoAffectStudents', {'subject_id': sujet.id, 'group_id' : group.id} )}}">Affecter les rendus sans étudiant</a></li>
                     {% if lectureseule %}
                     <li><a href="{{ path('AnnotationBundle_exportCSVNotesSujet', {sujet_id : sujet.id, group_id : group.id}) }}"><strong>Exporter les notes</strong></a></li>
                     {% else %}
                     <li><a class="go_mod_sujet_form go_and_assign" data-assign='{"mod_sujet_nom":"{{sujet.nom}}","mod_sujet_id":"{{sujet.id}}"}'>Renommer</a></li>
                     <li><a  href="{{ path('AnnotationBundle_supprimerSujet', {sujet_id : sujet.id}) }}"
                             data-confirm-h="Êtes-vous sûr ?" 
                             data-confirm-p="Cette action supprimera définitivement le sujet &quot;{{sujet.nom}}&quot; ainsi que tout son contenu." 
                             data-confirm-l="Supprimer le sujet">Supprimer</a></li>
                        {% if sujet.ue.owner == app.user %}
                        <li><a id="gelernotes_bouton" data-verif="{{path('AnnotationBundle_rendusTousTermines', {'sujet_id': sujet.id} )}}"
                               data-callback="{{path('AnnotationBundle_terminerTout', {'sujet_id': sujet.id, 'group_id' : group.id} )}}"><strong>Geler les notes</strong></a></li>
                        {% endif %}
                     {% endif %}



               </ul>
            </div>

         </div>
         <div class="clear"></div>
      </div>



      <!-- Contenu -->
      <div class="grid_7 sidebar gauche">
         <div class="header">
            <h3>Barème</h3>
         </div>
         <div class="contenu">
            {% if exercices is empty %}
               <div class="vide">
                  <p class="header">Aucun exercice</p>
                  {% if not(lectureseule) %}
                     <p class="contenu">
                        <button class="bouton go_modal_manage_exercices" >Gérer les exercices</button>
                     </p>
                  {% endif %}
               </div>

            {% else %}

               <table class="tableLignes">
                  <tbody>
                     {% for exercice in exercices %}
                        <tr>
                           <td class="intitule"><p>{{exercice.numero}}. {{exercice.nom}}</p></td>
                           <td class="note r">
                              <p>
                                 <span class="valeur L">{{exercice.valeur}}</span>
                              </p>
                           </td>
                        </tr>
                     {% endfor %}
                  </tbody>
                  <tfoot>
                     <tr>
                        <td class="intitule"><p>Noté sur</p></td>
                        <td class="note r">
                           <p>
                              <span class="valeur L">{{sujet.notesur}}</span>
                           </p>
                        </td>
                     </tr>
                  </tfoot>
               </table>
               {% if not(lectureseule) %}
                  <p class="barre_outils block center">
                     <button class="bouton go_modal_manage_exercices" >Gérer les exercices</button>
                  </p>
               {% endif %}

            {% endif %}



         </div>
      </div>
      <div class="grid_17 widget tabbed">
         <div class="header">
            <a href="#" class="tab active" id="tab_rendus"><h3>Rendus</h3></a><!--
            --><a href="#" class="tab"><h3>Modèles</h3></a>
         </div>
         <div class="contenu active" >

            <div id="sujet_listenotes" data-access="{{ path('AnnotationBundle_listerRendus', {'sujet_id': sujet.id, 'group_id' : group.id}) }}">
               {% include 'AnnotationBundle:Dashboard:Sujet/listerendus.html.twig' with {'rendus' : rendus, 'sujet': sujet, 'lectureseule' : lectureseule, 'group_id' : group.id} only %}
            </div>

         </div>
         <div class="contenu">
            {% include 'AnnotationBundle:Dashboard:ListeModeles/listemodeles.html.twig'%}
         </div>
      </div>
      <div class="clear"></div>
   </div>


{% endblock %}



{# Edition modeles #}
{% block modals %}
   {{ parent() }}
   {% if not(lectureseule) %}
      {% include 'AnnotationBundle:Dashboard:ListeModeles/manageModeleForm.html.twig' %}
      {% include 'AnnotationBundle:Dashboard:Sujet/manageExercicesForm.html.twig' %}
      {% include 'AnnotationBundle:Dashboard:Sujet/importArchiveForm.html.twig' %}
      {% include 'AnnotationBundle:Dashboard:Sujet/gelerNotesModal.html.twig' %}
      {% include 'AnnotationBundle:Dashboard:renommerForm.html.twig' with 
        {objet: "sujet", objet_fr: "le sujet", url_action: (path('AnnotationBundle_modifierSujet')) } only%}
   {% endif %}
{% endblock %}

{% block javascripts %}
   {{ parent() }}
   <script src="{{ asset('bundles/annotation/js/Dashboard/iconHelp.js') }}"></script>
   {% if not(lectureseule) %}
      <script src="{{ asset('bundles/annotation/js/Dashboard/ModeleFormManager.js') }}"></script>
      <script src="{{ asset('bundles/annotation/js/Dashboard/ModeleList.js') }}"></script>
      <script src="{{ asset('bundles/annotation/js/Dashboard/BoutonAjouterModele.js') }}"></script>
      <script src="{{ asset('bundles/annotation/js/Dashboard/ListeRendusSynchro.js') }}"></script>
      <script src="{{ asset('bundles/annotation/js/Dashboard/GelerNotes.js') }}"></script>
    <script src="{{ asset('bundles/annotation/js/Dashboard/PopularModels.js') }}"></script>
    <script src="{{ asset('bundles/annotation/js/Dashboard/GradingManager.js') }}"></script>
   {% endif %}
{% endblock %}


{% block js_startup %}


{% endblock %}